{ pkgs, lib, config, ... }:

with lib;
{
 mailserver = {
  enable = true;
  fqdn = "mail.cochrun.xyz";
  domains = [ "cochrun.xyz" ];
  enableManageSieve = true;
  mailDirectory = "/home/chris/mailserver/docker-data/mail-data";
  mailboxes = {
    Archive = {
      auto = "subsribe";
      specialUse = "Archive";
    }
    Drafts = {
      auto = "subscribe";
      specialUse = "Drafts";
    };
    Junk = {
      auto = "subscribe";
      specialUse = "Junk";
    };
    Sent = {
      auto = "subscribe";
      specialUse = "Sent";
    };
    Trash = {
      auto = "no";
      specialUse = "Trash";
    };
  };
  useFsLayout = true;
  hierarchySeparator = "/";
  certificateScheme = "acme";
  certificateFile = "/var/lib/caddy/.local/share/caddy/certificates/acme-v02.api.letsencrypt.org-directory/mail.cochrun.xyz/mail.cochrun.xyz.crt";
  keyFile = "/var/lib/caddy/.local/share/caddy/certificates/acme-v02.api.letsencrypt.org-directory/mail.cochrun.xyz/mail.cochrun.xyz.key";
  loginAccounts = {
    "chris@cochrun.xyz" = {
      hashedPasswordFile = "/home/chris/mailp";
      aliases = [
        "postmaster@cochrun.xyz"
        "cxda@cochrun.xyz"
        "ceth@cochrun.xyz"
        "clocb@cochrun.xyz"
        "higdry@cochrun.xyz"
        "clin@cochrun.xyz"
      ]
    }
  }
 }
}
